Package org.bukkit.block.data.type

# Interface SculkSensor

All Superinterfaces:
  `AnaloguePowerable`, `BlockData`, `Cloneable`, `Waterlogged`

public interface SculkSensor extends AnaloguePowerable, Waterlogged
'sculk_sensor_phase' indicates the current operational phase of the sensor.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`SculkSensor.Phase`
The Phase of the sensor.

## Method Summary

Modifier and Type
Method
Description
`@NotNull SculkSensor.Phase`
`getPhase()`
Gets the value of the 'sculk_sensor_phase' property.
`void`
`setPhase(@NotNull SculkSensor.Phase phase)`
Sets the value of the 'sculk_sensor_phase' property.

### Methods inherited from interface org.bukkit.block.data.AnaloguePowerable

`getMaximumPower, getPower, setPower`

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, matches, merge`

### Methods inherited from interface org.bukkit.block.data.Waterlogged

`isWaterlogged, setWaterlogged`

## Method Details

### getPhase

@NotNull @NotNull SculkSensor.Phase getPhase()
Gets the value of the 'sculk_sensor_phase' property.

Returns:
  the 'sculk_sensor_phase' value

### setPhase

void setPhase(@NotNull @NotNull SculkSensor.Phase phase)
Sets the value of the 'sculk_sensor_phase' property.

Parameters:
  `phase` - the new 'sculk_sensor_phase' value